Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.intranet
Class Download

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.intranet.IntranetAction
              org.esupportail.portal.channels.CIntranet.actions.intranet.Download

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.jasig.portal.IMimeResponse, org.esupportail.portal.utils.channels.ISubChannel

public class Download
extends IntranetAction
implements org.jasig.portal.IMimeResponse

Download
Cette action prend en charge le téléchargement d'un document
(c)Copyright ESup-Portail 2004

Version:
  1.4
Author:
  Mathieu Larchet

Constructor Summary
`Download(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `action()` Méthode appelée si la personne a le niveau requis
`void` | `downloadData(java.io.OutputStream out)` Méthode non utilisée
`java.lang.String` | `getContentType()` Retourne le type MIME du document
`java.util.Map` | `getHeaders()` Retourne la liste des headers HTTP à envoyer au navigateur
`java.io.InputStream` | `getInputStream()` Retourne un InputStream correspondant au fichier à télécharger
`int` | `getLevel()` Retourne le niveau d'accréditation minimum pour accéder à cette action
`java.lang.String` | `getName()` Retourne le nom du fichier
`void` | `reportDownloadError(java.lang.Exception e)` Méthode appelée si une erreur se produit durant le téléchargement

Methods inherited from class org.esupportail.portal.channels.CIntranet.actions.intranet.IntranetAction
`init`

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Download

    public Download(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

Parameters:
  `mainChannel` - Channel principale

Method Detail

### getLevel

    public int getLevel()

  Retourne le niveau d'accréditation minimum pour accéder à cette action

  Specified by:
    `getLevel` in class `IntranetAction`
  Returns:
    ISecurityManager.USER

### action

    public java.lang.Boolean action()
                             throws org.jasig.portal.PortalException,
                                    org.esupportail.portal.utils.channels.FrameWorkException

  Méthode appelée si la personne a le niveau requis

  Specified by:
    `action` in class `IntranetAction`
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### getContentType

    public java.lang.String getContentType()

  Retourne le type MIME du document

  Specified by:
    `getContentType` in interface `org.jasig.portal.IMimeResponse`
  Returns:
    Le type MIME

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Retourne un InputStream correspondant au fichier à télécharger

  Specified by:
    `getInputStream` in interface `org.jasig.portal.IMimeResponse`
  Returns:
    Le flux de données
  Throws:
    `java.io.IOException`

### downloadData

    public void downloadData(java.io.OutputStream out)
                      throws java.io.IOException

  Méthode non utilisée

  Specified by:
    `downloadData` in interface `org.jasig.portal.IMimeResponse`
  Parameters:
    `out` - Un OutputStream vers le navigateur du client
  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Retourne le nom du fichier

  Specified by:
    `getName` in interface `org.jasig.portal.IMimeResponse`
  Returns:
    Le nom du fichier

### getHeaders

    public java.util.Map getHeaders()

  Retourne la liste des headers HTTP à envoyer au navigateur

  Specified by:
    `getHeaders` in interface `org.jasig.portal.IMimeResponse`
  Returns:
    La liste des headers

### reportDownloadError

    public void reportDownloadError(java.lang.Exception e)

  Méthode appelée si une erreur se produit durant le téléchargement

  Specified by:
    `reportDownloadError` in interface `org.jasig.portal.IMimeResponse`
  Parameters:
    `e` - L'exception levée

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD